Package org.eclipse.m2m.atl.engine.vm

## Class ASMParameter

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMParameter

    public class ASMParameter
    extends java.lang.Object

### Constructor Summary

Constructors
`ASMParameter​(java.lang.String name, java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`void` `setName​(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASMParameter

    public ASMParameter​(java.lang.String name,
                        java.lang.String type)

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getType

    public java.lang.String getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`